GuideLab API

List Remake Reasons

List all remake reasons for the current lab, sorted by display order. Each reason includes its associated discount percentage.

GET
/remake-reasons

List all remake reasons for the current lab, sorted by display order. Each reason includes its associated discount percentage.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?||
Defaultfalse

Response Body

application/json

curl -X GET "https://example.com/remake-reasons"
{  "reasons": [    {      "id": "string",      "labId": "string",      "name": "string",      "discountPercent": 0,      "sortOrder": 0,      "isActive": true,      "createdAt": "string",      "updatedAt": "string"    }  ],  "truncated": true}
Empty
Empty